
/*
   This file is part of AirFart.

   AirFart is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   AirFart is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with AirFart; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#include "gui.h"

void* main_gui (void* ptr)
{
	gtk_main ();
	return NULL;
}

int start_gui( int argc, char** argv )
{
	GtkWidget *main_window;
	gtk_set_locale ();
	gtk_init (&argc, &argv);
	//add_pixmap_directory (PACKAGE_DATA_DIR "/" PACKAGE "/pixmaps");
	main_window = create_main_window ();
	gtk_widget_show (main_window);
	pthread_t threadId;
	pthread_create(&threadId,NULL,main_gui,NULL);
	return 1;
}

void test_gui(){
	unsigned char eth_addr_in[6];
	unsigned char eth_addr_in2[6];
	eth_addr_in[0] = 0x12;
	eth_addr_in[1] = 0x34;
	eth_addr_in[2] = 0x56;
	eth_addr_in[3] = 0x78;
	eth_addr_in[4] = 0x9a;
	eth_addr_in[5] = 0xbc;

	eth_addr_in2[0] = 0x12;
	eth_addr_in2[1] = 0x34;
	eth_addr_in2[2] = 0x56;
	eth_addr_in2[3] = 0x78;
	eth_addr_in2[4] = 0x9a;
	eth_addr_in2[5] = 0xbd;

	update_treeview(eth_addr_in,"b", 10);
	update_treeview(eth_addr_in2,"d", 20);
	sleep(1);
	update_treeview(eth_addr_in,"b", 30);
	sleep(1);
	update_treeview(eth_addr_in,"b", 40);
	sleep(5);
	update_treeview(eth_addr_in,"b", 50);
	update_treeview(eth_addr_in2,"d", 60);
	update_treeview(eth_addr_in,"b", 70);
	sleep(3);
	update_treeview(eth_addr_in,"b", 80);
	update_treeview(eth_addr_in,"b", 90);
}
