
/*
   This file is part of AirFart.

   AirFart is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   AirFart is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with AirFart; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#include "main.h"


int main( int argc, char** argv )
{
	// make sure they have root permissions
	if( 0 != getuid() )
	{
		printf( "You aren't root. You must be root to run Airfart!\n" );
    	return -1;
	}

	printf( "Starting Airfart...\n" );
	
	frame_sniffer *sniffer = new frame_sniffer();
	Stats *stats = new Stats();
	start_gui( argc, argv );
	sniffer->set_stats_collector( stats );
	sniffer->start_sniffing();
}
